vigra - Luv2RGBPrimeFunctor< T > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Luv2RGBPrimeFunctor< T > Class Template Reference Color Space Conversions |

Convert perceptual uniform CIE L*u*v* into non-linear (gamma corrected) R'G'B'. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef XYZ2RGBFunctor< T > ::result_type | result_type
typedef XYZ2RGBFunctor< T > ::result_type | value_type
## Public Member Functions
| Luv2RGBPrimeFunctor ()
| Luv2RGBPrimeFunctor (component_type max)
template<class V >
result_type | operator() (V const &luv) const

## Detailed Description

### template<class T>
class vigra::Luv2RGBPrimeFunctor< T >

Convert perceptual uniform CIE L*u*v* into non-linear (gamma corrected) R'G'B'.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::RGBPrime2LuvFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

the functor's argument type. (Actually, the argument type can be any vector type with the same interface. But this cannot be expressed in a typedef.)

typedef XYZ2RGBFunctor<T>::result_type result_type

the functor's result type

typedef XYZ2RGBFunctor<T>::result_type value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

Luv2RGBPrimeFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

Luv2RGBPrimeFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | luv | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)